Bug 647352 - RFE: Publican Desktop RPMs --> Enhanced Menuing
RFE: Publican Desktop RPMs --> Enhanced Menuing
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.3
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-27 22:34 EDT by Michael Hideo
Modified: 2010-12-07 22:49 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-07 22:49:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot of Several Product Documentation Set (653.88 KB, image/png)
2010-11-02 02:16 EDT, Michael Hideo
no flags Details

  None (edit)
Description Michael Hideo 2010-10-27 22:34:41 EDT
Description of problem:

Currently when someone views the documentation on the desktop the entry is placed (for example Install guide and security guide): 

System => Documentation => Red Hat Enterprise Linux 6: Installation Guide
System => Documentation => Red Hat Enterprise Linux 6: Security Guide

Is it possible to request an enhancement in the next version of publican where the menuing looks like this:

System => Documentation => Red Hat Enterprise Linux 6 => Installation Guide
System => Documentation => Red Hat Enterprise Linux 6 => Security Guide

Use Case Justification:
======================
With Red Hat Enterprise Linux 6 there will be 23 pieces of documentation and that is a lot of desktop space if the user also has JBoss Enterprise Application Platform 4.3 which has 33 pieces of documentation.

Collapsing by ProductVer makes the navigation clearer.

Urgency:
=======
Low
Comment 1 Jeff Fearn 2010-11-01 20:27:00 EDT
You need to talk to the desktop team to get the initial requirements of this enabled.

The menu is controlled by files in /usr/share/desktop-directories, AIUI you'd need to get a <prod>.directory file for each product, then configure the desktop files to use the right Categories.

There maybe another way to do this, but again you'd need to talk to the desktop team to determine the best approach.

Cheers, Jeff.
Comment 2 Michael Hideo 2010-11-02 02:16:17 EDT
Created attachment 457074 [details]
Screenshot of Several Product Documentation Set
Comment 3 Michael Hideo 2010-11-02 02:16:38 EDT
Okay, thanks Jeff, will do.
Comment 4 Jeff Fearn 2010-11-22 03:05:23 EST
Hi Mike, turns out I was wrong and this can probably be done by:

1: having a menu RPM for each product, containing
   A: .directory file
   B: .menu file
   C: icon
2: adding a parameter to the publican cfg file to set the dep
3: adding a parameter to the publican cfg file to set the Category
4: modify spec xsl to set new parameters

It's probably possible to have version level directories as well using this approach.
Comment 5 Jeff Fearn 2010-11-22 21:57:36 EST
The approach I took to this was to assume that the menu structure, .directory and .menu files, would be managed outside of publican, and that the user would inform publican what the details are.

To achieve this I added two new options to the config file, dt_requires and menu_category. dt_requires would be set to the name of the RPM containing the product menu. menu_category would be set to a Category defined in a .menu file in that RPM.

It may be necessary to add some smarts to handle language, versions, etc, but we won't know this until we get feedback from the users.

Note: if there is only one entry for a sub-Category on the Documentation menu, then the entry it will appear directly on Documentation menu, not in a sub-menu.

e.g. if you had a sub menu name Foo-2.0 then you would need to install 2 or more Foo-2.0 books to get the Foo-2.0 sub menu displayed.

FYI I checked in an example of how to make a docs menu package at http://svn.fedorahosted.org/svn/publican/trunk/menu_example

Fixed in build: 2.3-0%{?dist}.t45
Comment 6 Jeff Fearn 2010-12-07 22:49:20 EST
Publican 2.4 has shipped with a fix for this issue.

Note You need to log in before you can comment on or make changes to this bug.